org.firebirdsql.jaybird.xca

## Class FBIncorrectXidException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.firebirdsql.jaybird.xca.FBIncorrectXidException

All Implemented Interfaces:
  java.io.Serializable

    public class FBIncorrectXidException
    extends java.lang.Exception

This error is thrown when message read from the RDB$TRANSACTIONS table does not represent a serialized Xid.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`FBIncorrectXidException(java.lang.String reason)`
`FBIncorrectXidException(java.lang.String reason, java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FBIncorrectXidException

    public FBIncorrectXidException(java.lang.String reason)

#### FBIncorrectXidException

    public FBIncorrectXidException(java.lang.String reason,
                                   java.lang.Throwable cause)